%define upstream_name	 Authen-SASL
%define upstream_version 2.16

%define _requires_exceptions perl\(GSSAPI\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    SASL Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5)
BuildArch:  noarch

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml SIGNATURE
%{_mandir}/*/*
%{perl_vendorlib}/Authen


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.160.0-2.mga3
+ Revision: 363243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 2.160.0-1.mga3
+ Revision: 288478
- Add a BR on Digest::HMAC_MD5
- update to 2.16

* Fri Jan 21 2011 jquelin <jquelin> 2.150.0-3.mga1
+ Revision: 29685
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 2.150.0-2.mga1
+ Revision: 20856
- commented the if mdkversion lines
- removed buildroot definition from .spec
- imported package perl-Authen-SASL

